import java.util.Vector;

import quadbase.reportorganizer.organizerAPI.FailedScheduledJob;
import quadbase.reportorganizer.organizerAPI.QbOrganizer;

public class FailedScheduleERES {

	public static void main(String[] args) {
		FailedScheduleERES doFailedSchedule = new FailedScheduleERES();
		try {
			doFailedSchedule.failedScheduleDetails();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void failedScheduleDetails() throws Exception {
		
		QbOrganizer.setServletContext("ERES/servlet");
		QbOrganizer.setServletRunner("http://localhost:8080");
		
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");
		
		Vector vec = organizer.getScheduler().getFailedScheduledJob();
		for (int i = 0; i < vec.size(); i++) {
			FailedScheduledJob obj = (FailedScheduledJob) vec.elementAt(i);
			System.out.println("FAIL # " + i + ": Name = " +
								obj.getScheduledJobName());
			System.out.println("File Location = " + obj.getFileLocation());
			System.out.println("Time = " + obj.getExportTime());
			System.out.println("StackTrace = " + obj.getStackTrace());
		}
	}
}
